Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78901 - `top` SMP CPU stats - very long strings
Summary: `top` SMP CPU stats - very long strings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps
Version: 7.3
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-03 09:05 UTC by Alec Voropay
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-11 13:20:54 UTC


Attachments (Terms of Use)

Description Alec Voropay 2002-12-03 09:05:48 UTC
Description of Problem:
On SMP platforms `top` produces very long (hihg precision percentage)
CPU load statistics : 3..4 digits after comma. So, resulting
string lenght >80 colums

Version-Release number of selected component (if applicable):
procps 2.0.10

How Reproducible:
`top` on SMP platform in "Full SMP CPU Stats"

Steps to Reproduce:
1. run `top` on SMP platform
2. press "C" to enter "Full SMP CPU Stats"
3. 

Actual Results:
 12:02:18  up 14 days, 21:44,  2 users,  load average: 0.26, 0.39, 0.52
126 processes: 125 sleeping, 1 running, 0 zombie, 0 stopped
CPU0 states:  0.3% user,  0.2% system,  0.0% nice, 98.37% iowait,  1.227% idle
CPU1 states:  0.1% user,  0.2% system,  0.0% nice, 98.37% iowait,  1.229% idle


Expected Results:
should be ~1 digit after comma

Additional Information:
In "Collapsed SMP CPU Stats" it works OK.

Comment 1 Alexander Larsson 2002-12-03 10:55:04 UTC
Hmm. Those percent calculation seem totally bogus...



Note You need to log in before you can comment on or make changes to this bug.